OBS User unknown 2007-04-12 15:32:27 +00:00 committed by Git OBS Bridge
parent c3e7cf8bb6
commit 7bc8b16698
6 changed files with 263 additions and 114 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:141118af0e5349aa405a28e9f195248646b85d382a47ea5261085fc579d6cb24
size 1745955

View File

@ -5,7 +5,7 @@
read_input()
{
- static int rdbuf_size = 10 * Nbuf;
- static char rdbuf[10 * Nbuf - 1];
- static char rdbuf[10 * Nbuf];
+ const int rdbuf_size = 10 * Nbuf;
+ static char rdbuf[rdbuf_size+1];
static int total_chars;

View File

@ -1,10 +1,10 @@
--- .pkgextract
+++ .pkgextract Tue Apr 27 18:48:07 2004
+++ .pkgextract 2004-04-27 18:48:07.000000000 +0200
@@ -0,0 +1 @@
+bzcat ../gnuplot-fr.doc.bz2 > docs/gnuplot-fr.doc
--- configure.in
+++ configure.in Tue Apr 27 18:48:07 2004
@@ -209,7 +209,7 @@
+++ configure.in 2004-04-27 18:48:07.000000000 +0200
@@ -227,7 +227,7 @@ if test "$with_linux_vga" = yes; then
[AC_DEFINE(LINUXVGA,1,
[ Define if this is a Linux system with SuperVGA library. ])
LINUXSUID='chown root $(bindir)/gnuplot; chmod u+s $(bindir)/gnuplot'
@ -14,8 +14,8 @@
fi
--- demo/poldat.dem
+++ demo/poldat.dem Tue Apr 27 18:48:07 2004
@@ -11,7 +11,7 @@
+++ demo/poldat.dem 2004-04-27 18:48:07.000000000 +0200
@@ -11,7 +11,7 @@ unset grid
unset polar
set title "Primitive Smith Chart"
unset key
@ -25,7 +25,7 @@
set rrange [-0 : 10]
set trange [-pi : pi]
--- demo/simple.dem
+++ demo/simple.dem Tue Apr 27 18:48:07 2004
+++ demo/simple.dem 2004-04-27 18:48:07.000000000 +0200
@@ -7,12 +7,11 @@
# gnuplot> load 'simple.dem'
#
@ -41,37 +41,53 @@
pause -1 "Hit return to continue"
--- demo/vector.dem
+++ demo/vector.dem Tue Apr 27 18:48:07 2004
@@ -62,7 +62,7 @@
+++ demo/vector.dem 2007-04-05 17:36:08.325186217 +0200
@@ -62,19 +62,19 @@ splot vtot(x,y) w l
print "Now create a file with equipotential lines"
pause -1 "Hit return to continue"
-set table "equipo2.tmp"
+set table "/tmp/equipo2.tmp"
replot
unset table
reset
pause 0
-plot "equipo2.tmp" w l
+plot "/tmp/equipo2.tmp" w l
print "Now create a x/y datafile for plotting with vectors "
print "and display vectors parallel to the electrostatic field"
pause -1 "Hit return to continue"
set term push
set term table
-set out "equipo2.dat"
+set out "/tmp/equipo2.dat"
rep
set out
set term pop
@@ -74,7 +74,7 @@
set isosam 31,31
set term push
set term table
-set out "field2xy.dat"
+set out "/tmp/field2xy.dat"
-set table "field2xy.tmp"
+set table "/tmp/field2xy.tmp"
splot vtot(x,y) w l
set out
set term pop
unset table
pause 0
@@ -84,8 +84,8 @@ set xr [xmin:xmax]
set yr [ymin:ymax]
set isosam 31,31
set key under Left reverse
-plot "field2xy.tmp" u 1:2:(coef*dx1($1,$2)):(coef*dy1($1,$2)) w vec, \
- "equipo2.tmp" w l
+plot "/tmp/field2xy.tmp" u 1:2:(coef*dx1($1,$2)):(coef*dy1($1,$2)) w vec, \
+ "/tmp/equipo2.tmp" w l
pause -1 "Hit return to continue"
reset
--- docs/Makefile.in
+++ docs/Makefile.in Tue Apr 27 18:53:41 2004
@@ -34,7 +34,7 @@
+++ docs/Makefile.in 2007-04-05 17:36:47.850365425 +0200
@@ -37,7 +37,7 @@
#
# default is what is needed for interactive gnuplot
-all: gnuplot.gih gnuplot.info
-all: gnuplot.gih
+all: gnuplot.gih gnuplot-fr.gih gnuplot.info
# this tells GNU make not to export variables into the environment
# But other makes dont understand its significance, so it must
@@ -299,12 +299,16 @@
@@ -321,12 +321,16 @@ doc2hlp: doc2hlp.o termdoc.o
$(LINK) doc2hlp.o termdoc.o $(LIBS)
### gnuplot interactive help format
@ -89,7 +105,7 @@
doc2gih: doc2gih.o termdoc.o
$(LINK) doc2gih.o termdoc.o $(LIBS)
@@ -395,6 +399,7 @@
@@ -415,6 +419,7 @@ install: install-gih install-info
install-gih: gnuplot.gih
$(top_srcdir)/mkinstalldirs $(DESTDIR)$(GIHDIR)
$(INSTALL_DATA) gnuplot.gih $(DESTDIR)$(GIHDIR)/gnuplot.gih
@ -97,7 +113,7 @@
install-info: gnuplot.info
$(top_srcdir)/mkinstalldirs $(DESTDIR)$(infodir)
@@ -412,6 +417,7 @@
@@ -434,6 +439,7 @@ uninstall: uninstall-gih uninstall-info
uninstall-gih:
rm -f $(DESTDIR)$(GIHDIR)/gnuplot.gih
@ -106,8 +122,8 @@
uninstall-info:
$(PRE_UNINSTALL)
--- docs/gnuplot-fr.doc
+++ docs/gnuplot-fr.doc Tue Apr 27 18:48:41 2004
@@ -436,8 +436,8 @@
+++ docs/gnuplot-fr.doc 2004-04-27 18:48:41.000000000 +0200
@@ -436,8 +436,8 @@ C
#Home & same as \verb~^A~. \\
#Ctrl Home & same as \verb~^E~. \\
#Esc & same as \verb~^U~. \\
@ -119,8 +135,8 @@
%Touche fléchée@Fonction
%_
--- src/command.c
+++ src/command.c Tue Apr 27 18:48:07 2004
@@ -966,14 +966,24 @@
+++ src/command.c 2004-04-27 18:48:07.000000000 +0200
@@ -1137,14 +1137,24 @@ pause_command()
(void) fgets(buf, strlen(buf), stdin);
}
} else if (strcmp(term->name, "atari") == 0) {
@ -147,7 +163,7 @@
if (line)
free(line);
} else
@@ -2442,6 +2452,13 @@
@@ -2640,6 +2650,13 @@ read_line(const char *prompt)
# endif /* no READLINE */
do {
@ -162,8 +178,8 @@
# if defined(READLINE) || defined(HAVE_LIBREADLINE)
if (((interactive)
--- src/gplt_x11.c
+++ src/gplt_x11.c Tue Apr 27 18:48:07 2004
@@ -2033,8 +2033,11 @@
+++ src/gplt_x11.c 2004-04-27 18:48:07.000000000 +0200
@@ -2273,8 +2273,11 @@ exec_cmd(plot_struct *plot, char *comman
}
}
/* X11_justify_text(mode) - set text justification mode */
@ -176,10 +192,10 @@
+ }
else if (*buffer == 'A')
sscanf(buffer + 1, "%d", (int *) &plot->angle);
sscanf(buffer + 1, "%lf", &plot->angle);
--- src/plot.c
+++ src/plot.c Tue Apr 27 18:51:49 2004
@@ -226,6 +226,7 @@
+++ src/plot.c 2004-04-27 18:51:49.000000000 +0200
@@ -228,6 +228,7 @@ static int asked_privi = 0;
void
drop_privilege()
{
@ -187,7 +203,7 @@
if (!asked_privi) {
euid = geteuid();
egid = getegid();
@@ -239,11 +240,13 @@
@@ -241,11 +242,13 @@ drop_privilege()
if (seteuid(ruid) == -1)
(void) fprintf(stderr, "seteuid(%d): %s\n",
(int) ruid, strerror(errno));
@ -201,7 +217,7 @@
if (!asked_privi) {
euid = geteuid();
egid = getegid();
@@ -257,6 +260,7 @@
@@ -259,6 +262,7 @@ take_privilege()
if (seteuid(euid) == -1)
(void) fprintf(stderr, "seteuid(%d): %s\n",
(int) euid, strerror(errno));
@ -209,9 +225,9 @@
}
#endif /* LINUXVGA */
@@ -283,8 +287,8 @@
{
@@ -284,8 +288,8 @@ main(int argc, char **argv)
int i;
#ifdef LINUXVGA
- LINUX_setup(); /* setup VGA before dropping privilege DBT 4/5/99 */
drop_privilege();
@ -219,12 +235,10 @@
#endif
/* make sure that we really have revoked root access, this might happen if
gnuplot is compiled without vga support but is installed suid by mistake */
@@ -343,6 +347,24 @@
#ifdef VMS
@@ -348,6 +352,24 @@ main(int argc, char **argv)
unsigned int status[2] = { 1, 0 };
+#endif
+
#endif
+#ifdef __linux__
+ if (!getenv("GNUHELP")) {
+ char* lang = getenv ("LANG");
@ -241,12 +255,14 @@
+ setenv("GNUHELP", strdup(hfile), 0);
+ }
+ }
#endif
+#endif
+
#ifdef HAVE_LIBREADLINE
using_history();
/* T.Walter 1999-06-24: 'rl_readline_name' must be this fix name.
--- src/term.h
+++ src/term.h Tue Apr 27 18:48:07 2004
@@ -299,9 +299,9 @@
+++ src/term.h 2004-04-27 18:48:07.000000000 +0200
@@ -321,9 +321,9 @@
#include "emf.trm"
/* Roland DXY800A plotter */
@ -258,7 +274,7 @@
/* fig graphics */
#include "fig.trm"
@@ -337,7 +337,7 @@
@@ -353,7 +353,7 @@
#include "imagen.trm"
/* Kyocera Prescribe printer */
@ -267,7 +283,7 @@
/* Frame Maker MIF 3.00 format driver */
#include "mif.trm"
@@ -384,7 +384,7 @@
@@ -389,7 +389,7 @@
#include "tkcanvas.trm"
/* Vectrix 384 printer, also Tandy colour */
@ -277,8 +293,8 @@
/* wire printers */
/* Epson LX-800, Star NL-10, NX-1000 and lots of others */
--- src/time.c
+++ src/time.c Tue Apr 27 18:48:07 2004
@@ -297,11 +297,12 @@
+++ src/time.c 2004-04-27 18:48:07.000000000 +0200
@@ -291,11 +291,12 @@ gstrptime(char *s, char *fmt, struct tm
case 's':
#if 0 /* HBB 20040213: comment this out, but keep it around for now */
{
@ -295,20 +311,9 @@
tmwhen->tm_year += 1900;
*tm = *tmwhen;
break;
--- term/grass.trm
+++ term/grass.trm Tue Apr 27 18:48:07 2004
@@ -471,7 +471,7 @@
static void
draw_points_fitriangle(x, y)
-nt x, y;
+int x, y;
{
int R_polygon_abs();
--- term/linux.trm
+++ term/linux.trm Tue Apr 27 18:48:07 2004
@@ -80,7 +80,7 @@
+++ term/linux.trm 2007-04-05 17:38:15.433841258 +0200
@@ -80,7 +80,7 @@ TERM_PUBLIC void LINUX_linetype __PROTO(
TERM_PUBLIC void LINUX_move __PROTO((unsigned int x, unsigned int y));
TERM_PUBLIC void LINUX_vector __PROTO((unsigned int x, unsigned int y));
TERM_PUBLIC int LINUX_text_angle __PROTO((int ang));
@ -317,31 +322,12 @@
TERM_PUBLIC void LINUX_suspend __PROTO((void));
TERM_PUBLIC void LINUX_resume __PROTO((void));
@@ -298,7 +298,7 @@
@@ -293,7 +293,7 @@ LINUX_putc(
}
TERM_PUBLIC void
LINUX_put_text(x, y, str)
unsigned int x, y;
-const char *str;
+char *str;
-LINUX_put_text(unsigned int x, unsigned int y, const char *str)
+LINUX_put_text(unsigned int x, unsigned int y, char *str)
{
int i;
switch (linux_angle) {
--- term/png.trm
+++ term/png.trm Tue Apr 27 18:48:07 2004
@@ -97,6 +97,16 @@
#ifdef TERM_BODY
#include "png.h"
+#if PNG_LIBPNG_VER < 89
+typedef png_struct* png_structp;
+typedef png_info* png_infop;
+typedef png_byte* png_bytep;
+typedef png_info** png_infopp;
+#undef PNG_LIBPNG_VER_STRING
+#define PNG_LIBPNG_VER_STRING ("1.0.2")
+#undef PNG_LIBPNG_VER
+#define PNG_LIBPNG_VER 10002
+#endif
/* I'm not sure exactly which is the first version we work with,
* but I know that some older ones don't define all the symbols

3
gnuplot-4.2.0.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:12cc269de1c78a54444d18d87dbf1169f16c89155824b457ac5b7a7f1a3d994f
size 2299396

View File

@ -1,3 +1,75 @@
-------------------------------------------------------------------
Thu Apr 5 18:18:15 CEST 2007 - werner@suse.de
- Update to gnuplot 4.2.0
* NEW autogenerated read-only variables prefixed GPVAL_ and "show variables all"
* NEW Japanese language documentation - FAQ and User Manual
* NEW multi-platform and interactive wxWidgets terminal
* NEW windows terminal supports enhanced text mode
* NEW support for placement of individual rectangles within plot or canvas
* NEW command "set style increment user" allows customization of default lines
* NEW commands raise and lower
* NEW y and y2 axis label rotation can be explicitly controlled (2D plots only)
* NEW {no}enhanced flag can be applied to individual labels
* NEW suboption 'set pm3d interpolate' for bilinear interpolation of surfaces
* NEW 3D plots can read RGB color triples as part of input data
* NEW write command history file also for gnuplot's readline
* NEW more versatile key placement and arrangement
* NEW 'splot x*y with pm3d' no longer requires prior 'set pm3d'
* NEW store a sequence of plots to an animated gif (requires libgd > 2.0.28)
* NEW multi-byte font support in x11, controlled by the locale setting LC_CTYPE
* NEW control decimal sign conventions using locale setting LC_NUMERIC
* NEW pstex, pslatex and epslatex terminals share functionality with postscript
* NEW suboptions "set pm3d corners2color min|max"
* NEW suboption "set pm3d depthorder" does hidden-surface removal (sort of)
* NEW linetype colors via "lt {palette {frac <val> | cb <val>}}"
* NEW linetype colors via "lt {rgbcolor {"name" | "#RRGGBB"}}"
* NEW palette and rgb linetype colors apply to all 2D and 3D plot elements
* NEW user defined variables can contain strings
* NEW expression evaluation can manipulate and return strings
* NEW built-in string functions sprintf, gprintf, substr, strstrt, word, words
* NEW built-in string function system("shell command")
* NEW command line macro expansion @<stringvariablename>
* NEW automatic variable $# expanded to number of arguments after "call"
* NEW reading of (almost) arbitrary image binary files
* NEW plot styles "with image" and "with rgbimage"
* NEW plot style "with labels" reads text data along with X/Y/Z coordinates
* NEW plot style "with histograms" creates clustered or stacked histograms
* NEW auto-layout of multiplot using "set multiplot layout <rows>, <cols>"
* NEW variant of plot "with filledcurves" that fills the area between two curves
* NEW variant of "with filledcurves" that fills only above or below the curve
* NEW using options {x|y|z}ticlabels(<col>)
* NEW option to read plot title from data file: set key autotitle columnheader
* NEW command 'set termoption <foo>' changes single property of current terminal
* NEW png driver supports antialiasing and TrueColor images
* NEW encoding koi8-u
* NEW plot style "with vectors" applies to both 2D and 3D plots
* NEW plot style "with points" can read variable point size from input file
* NEW "set tics" can change most settings for {x|y|z|cb}tics at once
* NEW tic scale can be set per axis using "set {x|y|z|cb}tics scale"
* CHANGE history file is written by default
* CHANGE PostScript prolog and character encoding files now maintained separately
* CHANGE Placement of z-axis label in 3D plots is now equivalent to x and y axes
* CHANGE "set ticsscale" is deprecated, use "set tics scale" instead
* CHANGE gnuplot on x11 has mousing always enabled on startup
* CHANGE 'set datafile fortran' is now required in order to read D or Q constants
* CHANGE let the string in '{s}plot ... notitle "string"' be silently ignored
* CHANGE libgd versions 2.0.28+ support GIF images as well as PNG/JPEG
* CHANGE remove old (non-libgd) GIF and PNG drivers
* CHANGE X-resource gnuplot*ctrlq:on requires <ctrl>q to kill plot window
* CHANGE X-resource gnuplot*exportselection:off disables plot->clipboard export
* CHANGE prefer use of offset keyword in 'set [xyz]label "foo" offset -1,-1'
* CHANGE 'set table "outfile"; ...; unset table' replaces 'set term table'
* CHANGE 'defined(foo)' is deprecated; new syntax is 'exists("foo")'
* FIXED empty datafiles are not a fatal error
* FIXED setenv GNUTERM now works for png, jpeg, and gif drivers
* FIXED PostScript output can be restricted to Level 1 compatible features
* FIXED emf output is compatible with MSWin XP SP 2
* FIXED limit size of X11 requests to half the maximum allowed by the X display
* FIXED arrowheads drawn in solid lines even if the shaft is dotted (PostScript)
* FIXED estimate true effective length of strings in enhanced text mode
* FIXED clipping of filled curves
-------------------------------------------------------------------
Wed Aug 16 05:37:39 CEST 2006 - sndirsch@suse.de

View File

@ -1,7 +1,7 @@
#
# spec file for package gnuplot (Version 4.0.0)
# spec file for package gnuplot (Version 4.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
@ -11,22 +11,36 @@
# norootforbuild
Name: gnuplot
BuildRequires: freetype2-devel gd-devel libjpeg-devel libpng-devel plotutils readline-devel te_ams te_latex xorg-x11-devel
BuildRequires: cairo-devel freetype2-devel gd-devel latex2html libjpeg-devel libpng-devel pango-devel plotutils readline-devel te_ams te_latex xorg-x11-devel
URL: http://www.gnuplot.info/
License: BSD, Other License(s), see package
License: BSD License and BSD-like
Group: Productivity/Graphics/Visualization/Graph
Autoreqprov: on
PreReq: %install_info_prereq
Version: 4.0.0
Release: 20
Version: 4.2.0
Release: 1
Summary: Function Plotting Utility
Source0: gnuplot-4.0.0.tar.bz2
Source0: gnuplot-4.2.0.tar.bz2
Source2: gnuplot-fr.doc.bz2
Source3: README.whynot
Patch0: gnuplot-4.0.0.dif
Patch1: gnuplot-4.0.0-x11ovf.dif
Patch0: gnuplot-4.2.0.dif
Patch1: gnuplot-4.2.0-x11ovf.dif
Patch2: gnuplot-4.0.0-fonts.dif
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%define _x11lib %{_exec_prefix}/%{_lib}
%define _x11data %{_exec_prefix}/lib/X11
%define _libx11 %{_x11data}
%define _x11inc %{_x11_prefix}/include
%define _appdef %{_x11data}/app-defaults
%else
%define _x11lib %{_libdir}
%define _x11data %{_datadir}/X11
%define _libx11 %{_exec_prefix}/lib/X11
%define _x11inc %{_includedir}
%define _appdef %{_x11data}/app-defaults
%endif
%description
GNUplot is a command line driven interactive function plotting utility.
@ -73,8 +87,8 @@ test $? -eq 0 || exit 1
--datadir=/usr/share/gnuplot \
--with-gcc \
--with-x \
--x-includes=/usr/X11R6/include \
--x-libraries=/usr/X11R6/%_lib \
--x-includes=%{_x11inc} \
--x-libraries=%{_x11lib} \
--with-readline=gnu \
--enable-history-file \
--with-linux-vga \
@ -83,6 +97,8 @@ test $? -eq 0 || exit 1
--with-zlib \
--with-gd \
--enable-thin-splines \
--without-row-help \
--with-kpsexpand \
--with-plot=/usr/%lib
make -f Makefile
pushd docs/
@ -97,14 +113,18 @@ test $? -eq 0 || exit 1
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT xresourcedir=%{_appdef} install
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/html
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/gnuplot/demo
rm -vf docs/htmldocs/*.pl
rm -vf docs/htmldocs/WARNINGS
rm -rvf demo/html
install -m 0444 docs/*.info* $RPM_BUILD_ROOT/%{_infodir}/
install -m 0444 docs/*.pdf $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
install -m 0444 docs/gpcard.ps $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
install -m 0444 docs/*.html $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
install -m 0444 docs/htmldocs/* $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/html
install -m 0444 docs/psdoc/*.pdf $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
install -m 0444 docs/psdoc/*.ps $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
install -m 0444 docs/psdoc/*.gpi $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
@ -136,8 +156,79 @@ test $? -eq 0 || exit 1
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man1/gnuplot.1.gz
/usr/share/gnuplot
/usr/share/texmf/tex/latex/gnuplot/
%{_appdef}/Gnuplot.app-defaults
%changelog -n gnuplot
%changelog
* Thu Apr 05 2007 - werner@suse.de
- Update to gnuplot 4.2.0
* NEW autogenerated read-only variables prefixed GPVAL_ and "show variables all"
* NEW Japanese language documentation - FAQ and User Manual
* NEW multi-platform and interactive wxWidgets terminal
* NEW windows terminal supports enhanced text mode
* NEW support for placement of individual rectangles within plot or canvas
* NEW command "set style increment user" allows customization of default lines
* NEW commands raise and lower
* NEW y and y2 axis label rotation can be explicitly controlled (2D plots only)
* NEW {no}enhanced flag can be applied to individual labels
* NEW suboption 'set pm3d interpolate' for bilinear interpolation of surfaces
* NEW 3D plots can read RGB color triples as part of input data
* NEW write command history file also for gnuplot's readline
* NEW more versatile key placement and arrangement
* NEW 'splot x*y with pm3d' no longer requires prior 'set pm3d'
* NEW store a sequence of plots to an animated gif (requires libgd > 2.0.28)
* NEW multi-byte font support in x11, controlled by the locale setting LC_CTYPE
* NEW control decimal sign conventions using locale setting LC_NUMERIC
* NEW pstex, pslatex and epslatex terminals share functionality with postscript
* NEW suboptions "set pm3d corners2color min|max"
* NEW suboption "set pm3d depthorder" does hidden-surface removal (sort of)
* NEW linetype colors via "lt {palette {frac <val> | cb <val>}}"
* NEW linetype colors via "lt {rgbcolor {"name" | "#RRGGBB"}}"
* NEW palette and rgb linetype colors apply to all 2D and 3D plot elements
* NEW user defined variables can contain strings
* NEW expression evaluation can manipulate and return strings
* NEW built-in string functions sprintf, gprintf, substr, strstrt, word, words
* NEW built-in string function system("shell command")
* NEW command line macro expansion @<stringvariablename>
* NEW automatic variable $# expanded to number of arguments after "call"
* NEW reading of (almost) arbitrary image binary files
* NEW plot styles "with image" and "with rgbimage"
* NEW plot style "with labels" reads text data along with X/Y/Z coordinates
* NEW plot style "with histograms" creates clustered or stacked histograms
* NEW auto-layout of multiplot using "set multiplot layout <rows>, <cols>"
* NEW variant of plot "with filledcurves" that fills the area between two curves
* NEW variant of "with filledcurves" that fills only above or below the curve
* NEW using options {x|y|z}ticlabels(<col>)
* NEW option to read plot title from data file: set key autotitle columnheader
* NEW command 'set termoption <foo>' changes single property of current terminal
* NEW png driver supports antialiasing and TrueColor images
* NEW encoding koi8-u
* NEW plot style "with vectors" applies to both 2D and 3D plots
* NEW plot style "with points" can read variable point size from input file
* NEW "set tics" can change most settings for {x|y|z|cb}tics at once
* NEW tic scale can be set per axis using "set {x|y|z|cb}tics scale"
* CHANGE history file is written by default
* CHANGE PostScript prolog and character encoding files now maintained separately
* CHANGE Placement of z-axis label in 3D plots is now equivalent to x and y axes
* CHANGE "set ticsscale" is deprecated, use "set tics scale" instead
* CHANGE gnuplot on x11 has mousing always enabled on startup
* CHANGE 'set datafile fortran' is now required in order to read D or Q constants
* CHANGE let the string in '{s}plot ... notitle "string"' be silently ignored
* CHANGE libgd versions 2.0.28+ support GIF images as well as PNG/JPEG
* CHANGE remove old (non-libgd) GIF and PNG drivers
* CHANGE X-resource gnuplot*ctrlq:on requires <ctrl>q to kill plot window
* CHANGE X-resource gnuplot*exportselection:off disables plot->clipboard export
* CHANGE prefer use of offset keyword in 'set [xyz]label "foo" offset -1,-1'
* CHANGE 'set table "outfile"; ...; unset table' replaces 'set term table'
* CHANGE 'defined(foo)' is deprecated; new syntax is 'exists("foo")'
* FIXED empty datafiles are not a fatal error
* FIXED setenv GNUTERM now works for png, jpeg, and gif drivers
* FIXED PostScript output can be restricted to Level 1 compatible features
* FIXED emf output is compatible with MSWin XP SP 2
* FIXED limit size of X11 requests to half the maximum allowed by the X display
* FIXED arrowheads drawn in solid lines even if the shaft is dotted (PostScript)
* FIXED estimate true effective length of strings in enhanced text mode
* FIXED clipping of filled curves
* Wed Aug 16 2006 - sndirsch@suse.de
- gnuplot-4.0.0-fonts.dif: fixed font paths for X.Org 7
* Tue Jan 31 2006 - werner@suse.de
@ -226,7 +317,7 @@ test $? -eq 0 || exit 1
* Mon May 03 1999 - werner@suse.de
- Do not use system time because gnuplot interface isn't able
to handle summer time
- Use /tmp/ for temporaray files of demos
- Use /tmp/ for temporaray files of demos
* Wed Mar 10 1999 - werner@suse.de
- Fix from one of the authors (HBB) to avoid buffer overflow
* Tue Mar 09 1999 - werner@suse.de
@ -247,12 +338,12 @@ test $? -eq 0 || exit 1
- New version: 3.5beta6.336
* Mon Feb 03 1997 - werner@suse.de
- Update auf Version 3.5-beta-3.6pl319
- Diese Version hat splines und bezier zum Fit für
- Diese Version hat splines und bezier zum Fit für
von Messdaten.
- verschoben von ap1 -> xap1
- verschoben von ap1 -> xap1
* Thu Jan 02 1997 - werner@suse.de
- Neu Erstellen des Paketes:
Mit vollständiger Dokumentation und Beispielen
unter /usr/doc/packages/gnuplot/
- fig und bfig (xfig-Format 2.1)
- fig und bfig (xfig-Format 2.1)
wird von xfig in xfig-Format 3.2 konvertiert.